@import (reference) '../platoreso.less';

.tiles {
  //border-right: 1px solid @darkerBackground;
  //border-bottom: 1px solid @darkerBackground;

  .tile {
    cursor: pointer;
    color: #ffffff;
    height: 16em;
    background-color: @darkerBackground;
    text-shadow: rgba(0, 0, 0, 0.125) 1px 1px 0;
    //border-top: 1px solid @darkerBackground;
    //border-left: 1px solid @darkerBackground;
    transition: text-shadow 0.25s;

    .layout {
      display: flex;
      flex-direction: column;
      justify-content: center;
      text-align: center;
      position: absolute;
      top: 1em;
      bottom: 1em;
      left: 1em;
      right: 1em;
    }

    .name {
      font-size: 1.85em;
      font-weight: 100;
      line-height: 1.15em;
      margin-bottom: 0.25em;
      width: 100%;
      word-wrap: break-word;
      a {
        color: #ffffff;
      }
    }

    .description {
      flex: 0 1 auto;
      width: 100%;
      color: rgba(255, 255, 255, 0.8);
      transition: color 250ms;
      margin-bottom: 0.5em;
      overflow: hidden;
    }

    .extra {
      color: rgba(255, 255, 255, 0.7);
      transition: color 250ms;
    }

    .background {
      position: absolute;
      left: 0;
      right: 0;
      top: 0;
      bottom: 0;
      background-repeat: no-repeat;
      background-size: cover;
      background-position: 50% 50%;
      opacity: 0.5;
      transition: opacity 0.25s;
    }

    &.colored {
      .background {
        opacity: 0.75;
      }
    }

    &:hover {
      &:not(.colored) {
        text-shadow: rgba(0, 0, 0, 0.75) 0.5px 0.5px 1px;
      }
      .background {
        opacity: 1.0;
      }
    }

    &:hover {
      .description {
        color: rgba(255,255,255,0.95);
      }
      .extra {
        color: rgba(255, 255, 255, 0.9);
      }
    }

    &.empty {
      .info h2 {
        font-size: 2.5rem;
      }
    }
  }

  .empty-tiles {
    background-color: @darkerBackground;

    .background {
      position: absolute;
      left: 0;
      right: 0;
      top: 0;
      bottom: 0;
      opacity: 0.5;
      background-repeat: no-repeat;
      background-size: cover;
      background-position: 50% 50%;
      transition: 0.5s opacity;
    }

    &:hover {
      .background {
        opacity: 1.0;
      }
    }

    .info {
      position: relative;
      margin: 6em 0;
      color: #ffffff;
      text-align: center;
      text-shadow: rgba(0, 0, 0, 0.125) 1px 1px 0;
      h2 {
        font-weight: 300;
        font-size: 2.5rem;
      }
    }
  }
}